CRBR
Strumień rekordów
Lista zgłoszeń CRBR posortowana po dacie aktualizacji w źródle. Wspiera filtry zakresu czasu (from, to - pełny znacznik ISO 8601) i paginację (limit do 1000, offset). Domyślnie zwraca pełny rekord (CrbrRecord z listą ubos i polem payload) - do masowej integracji. include_details=false zwraca lekką wersję (id, identyfikatory, nazwa, liczba UBO). Każdy zwrócony rekord = 1 jednostka wspólnej puli zapytań.
GET
/
v1
/
crbr
/
stream
Strumień rekordów
curl --request GET \
--url https://api.krdata.pl/v1/crbr/stream \
--header 'x-api-key: <api-key>'import requests
url = "https://api.krdata.pl/v1/crbr/stream"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.krdata.pl/v1/crbr/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identifiers": {
"krs": "<string>",
"nip": "<string>",
"regon": "<string>",
"registry_type": "<string>"
},
"company_name": "<string>",
"ubos": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"birth_date": "2023-12-25",
"pesel": "<string>",
"nationalities": [
"<string>"
],
"ownership_type": "<string>",
"share_value": "<string>",
"share_unit": "<string>"
}
],
"krz_records_count": 123,
"metadata": {
"first_seen": "2023-11-07T05:31:56Z",
"last_updated": "2023-11-07T05:31:56Z",
"source_updated_at": "2023-11-07T05:31:56Z"
},
"payload": {}
}
],
"limit": 123,
"offset": 123,
"has_more": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Required range:
1 <= x <= 1000Required range:
x >= 0⌘I
Strumień rekordów

